// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SQCS2Axis.cs
//
//  <START_COPYRIGHT> 
//  Licensed Materials - Property of IBM 
//                   
//  5724-B41         
//  (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
//                   
//  US Government Users Restricted Rights - Use, duplication or 
//  disclosure restricted by GSA ADP Schedule Contract with 
//  IBM Corp.        
//  <END_COPYRIGHT>
  
using System;

	class SQCS2Axis	{
		[STAThread]
		static void Main(string[] args)
		{
		try
	       {
	  	   MQSOAP.MQWebRequest.Register();

		   StockQuoteAxisService stockobj = new StockQuoteAxisService();
			
		   // Any first argument is used as the target Url
		   if (args.GetLength(0) >= 1) stockobj.Url = args[0];
                  
		   System.Single res = stockobj.getQuote("XXX");
		   Console.WriteLine("SQCS2Axis RPC reply is: " + res);
	       }
	    catch (System.Exception e) 
           {
		   Console.WriteLine("\n>>> EXCEPTION WHILE RUNNING SQCS2Axis DEMO <<<\n" + e.ToString());
           } 

        }
	}
